This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 440453 - DRI2 and metacity with composite hard locks machine
DRI2 and metacity with composite hard locks machine
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 12:44 EDT by Kevin DeKorte
Modified: 2009-10-22 08:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-25 10:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log with dri2 enabled (52.69 KB, text/plain)
2008-04-03 12:44 EDT, Kevin DeKorte
no flags Details

  None (edit)
Description Kevin DeKorte 2008-04-03 12:44:40 EDT
Description of problem:
Enable DRI2 in xorg.conf and enable /apps/metacity/general/compositing_manager
(TRUE)

And then try to use the desktop, machine usually locks up within a couple of
mouse clicks

Version-Release number of selected component (if applicable):
metacity-2.22.0-2.fc9.i386
xorg-x11-drv-i810-2.2.1-19.fc9.i386
xorg-x11-server-Xorg-1.4.99.901-16.20080401.fc9.i386


How reproducible:
100%

Steps to Reproduce:
1. Enable DRI2
2. Enable compositing_manager in metacity
3.
  
Actual results:
Machine hard locks

Expected results:
Machine should run normally, works fine with DRI1

Additional info:
Comment 1 Kevin DeKorte 2008-04-03 12:44:40 EDT
Created attachment 300279 [details]
Xorg.0.log with dri2 enabled
Comment 2 Kevin DeKorte 2008-04-16 12:41:38 EDT
seems to solved with current rpms from rawhide
Comment 3 Bug Zapper 2008-05-14 04:37:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Kevin DeKorte 2009-05-25 10:19:12 EDT
Appears to be fixed in Fedora 11

Note You need to log in before you can comment on or make changes to this bug.